/* ------------------------------------------------------------------------------------------- */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Malgun Gothic, Verdana, Geneva, Tahoma, sans-serif;
    font-size: 16px;

    color: var(--color-font-txt1);
}

body {
    position: relative;
    min-height: 100vh;
    width: 100%;
    overflow: hidden;
}
/* ------------------------------------------------------------------------------------------- */



/* ------------------------------------------------------------------------------------------- */
/* Common Type Design */

/* ---------------------------------------- */
input[type="checkbox"]{
    margin: auto;
    width: 15px;
    height: 15px;

    font-size: 12px;
    text-align: center;
    
    border: 1px solid var(--color-bord3);
    accent-color: var(--color-black1);

    cursor: pointer;    
}
input[type="checkbox"]:hover {    
    transform: translateY(-1px);
    
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
input[type="text"] {
    margin: 10px 0px;
    height: 30px;
    padding-left: 5px;

    font-weight: normal;

    border-radius: 5px;
    border-width: 1px;
    border-color: var(--color-bord2);    
    background-color: var(--color-back-txt1);
    color: var(--color-font-txt1);
    
}
input[type="text"]:hover {        
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
input[type="none"] {
    margin: 10px 0px;
    height: 30px;
    padding-left: 5px;

    font-weight: normal;

    /* border-radius: 5px; */
    /* border-width: 1px; */
    /* border-color: var(--color-bord2);     */
    /* background-color: var(--color-back-txt1); */
    /* color: var(--color-font-txt1); */
    
}
input[type="none"]:hover {
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
input[type="password"]:hover {
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
select {
    margin: 10px 0px;
    height: 30px;

    border-radius: 5px;
    background-color: var(--color-dark);    
    color: var(--color-white);
    cursor: pointer;
}
select:hover {
    transform: translateY(-1px);
    
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
input[type="button"] {
    margin: 10px 0px;
    height: 30px;

    border: 1px solid var(--color-bord2);
    border-radius: 5px;
    background-color: var(--color-back-btn1);    
    color: var(--color-font-btn1);
    cursor: pointer;
    
    transition-duration: 0.2s;
}
input[type="button"]:hover {
    color: var(--color-font-shad1);
    transform: translateY(-1px);
    
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
input[type="button"]:active {
    box-shadow: inset -.3rem -.1rem 1.4rem  var(--color-shad2), inset .3rem .4rem .8rem var(--color-shad2);        
}
/* ---------------------------------------- */
input[type="radio"] {    
    width: 15px;
    height: 15px;
    margin-top: 20px;
    border: 1px solid var(--color-bord3);    
    accent-color: var(--color-black1);

    cursor: pointer;    
}
input[type="radio"]:hover {    
    transform: translateY(-1px);
    
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
input[type="color"]:hover {    
    transform: translateY(-1px);
    
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */
label {
    margin: 10px 0px;
    height: 30px;

    font-size: 14px;
    font-weight: 700;
    text-align: left;
    line-height: 30px;
}

span {
    margin: 10px 0px;
    height: 30px;

    font-size: 14px;
    font-weight: 700;    
    line-height: 30px;
}
/* ---------------------------------------- */
.excelExport {
    width: 25px;
    cursor: pointer;
}
.excelExport:hover {    
    transform: translateY(-1px);
    
    box-shadow: 0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2),
                0 0 10px var(--color-shad2);
}
/* ---------------------------------------- */


/* ------------------------------------------------------------------------------------------- */
/* Scroll Bar Design */
::-webkit-scrollbar {
    width: 11px;
    height: 11px;
}
::-webkit-scrollbar-thumb {
    background-color: var(--color-scroll_inn1);
    border-radius: 5px;
    background-clip: padding-box;
    border: 1px solid transparent;
 }
::-webkit-scrollbar-track {
    background-color: var(--color-scroll_out1);
    border-radius: 5px;
    box-shadow: inset 0px 0px 5px white;
}
/* ------------------------------------------------------------------------------------------- */
/* loader Design */
.layerPopup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: rgba(0,0,0,0.8); */
    z-index: 1000;
    justify-content: center;
    align-items: center;
    margin: -30px 0 0 -30px;
}

.loader {
    position: absolute;    
    
    top: 50%;
    left: 50%;

    color: white;
    font-size: 45px;
    text-indent: -9999em;
    overflow: hidden;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    transform: translateZ(0);
    animation: mltShdSpin 1.7s infinite ease, round 1.7s infinite ease;
}
  
@keyframes mltShdSpin {    
    0% {
      box-shadow: 0 -0.83em 0 -0.4em,
      0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em,
      0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    5%,
    95% {
      box-shadow: 0 -0.83em 0 -0.4em, 
      0 -0.83em 0 -0.42em, 0 -0.83em 0 -0.44em, 
      0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
    10%,
    59% {
      box-shadow: 0 -0.83em 0 -0.4em, 
      -0.087em -0.825em 0 -0.42em, -0.173em -0.812em 0 -0.44em, 
      -0.256em -0.789em 0 -0.46em, -0.297em -0.775em 0 -0.477em;
    }
    20% {
      box-shadow: 0 -0.83em 0 -0.4em, -0.338em -0.758em 0 -0.42em,
       -0.555em -0.617em 0 -0.44em, -0.671em -0.488em 0 -0.46em, 
       -0.749em -0.34em 0 -0.477em;
    }
    38% {
      box-shadow: 0 -0.83em 0 -0.4em, -0.377em -0.74em 0 -0.42em,
       -0.645em -0.522em 0 -0.44em, -0.775em -0.297em 0 -0.46em, 
       -0.82em -0.09em 0 -0.477em;
    }
    100% {
      box-shadow: 0 -0.83em 0 -0.4em, 0 -0.83em 0 -0.42em, 
      0 -0.83em 0 -0.44em, 0 -0.83em 0 -0.46em, 0 -0.83em 0 -0.477em;
    }
}
  
@keyframes round {
    0% { transform: rotate(0deg) }
    100% { transform: rotate(360deg) }
}
/* ------------------------------------------------------------------------------------------- */

